$darkOrange:  rgb(226, 114, 22);

#timeline {
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: center;
  height: 5.5rem;
  margin: 1rem;
  .circle {
    height: 5.5rem;
    width: 5.5rem;
    background-color: #ececec;
    border-style: solid;
    border-color: #ececec;
    border-width: 0.2rem;
    border-radius: 5.5rem;
    display: table;
    cursor: pointer;
    &::before {
      border: 2px solid transparent; // We're animating border-color again
    }
    &:hover {
      background-color: rgb(255, 155, 24);
      border-color: $darkOrange;
      transition: border-top-color 0.15s linear infinite, // Stagger border appearances
      border-right-color 0.15s linear 0.10s, border-bottom-color 0.15s linear 0.20s;
    }
    &.active {
      background-color: rgb(255, 243, 78);
      border-color: orange;
    }
    &.previous {
      border-color: rgb(134, 134, 123);
    }
    .label {
      display: table-cell;
      vertical-align: middle;
      text-align: center;
      font-weight: bold;
    }
  }
  .bar-container {
    height: 0.3rem;
    width: 4rem;
    .bar {
      width: 100%;
      height: 0.3rem;
      &.previous {
        background-color: transparent;
        border-top: 0.3rem dashed #fbf7b9;
      }
      &.active {
        background-image: linear-gradient( to right, #fbf7b9 50%, transparent 0%);
        background-size: 15px 0.3rem;
        background-repeat: repeat-x;
        background-position: 0% bottom;
        animation-name: border-dance;
        animation-duration: 3s;
        animation-timing-function: linear;
        animation-iteration-count: infinite;
      }
      &.inactive {
        background-color: #ececec;
      }
    }
  }
  .previous {
    background: #fbf7b9;
  }
  @keyframes border-dance {
    from {
      background-position: 0% bottom;
    }
    to {
      background-position: 100% bottom;
    }
  }
}
